﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ImageColumnDemo
{
    public class OrderInfo : INotifyPropertyChanged
    {
        private ImageSource dealerImage;
        private int orderID;
        private int employeeID;

        public int OrderID
        {
            get { return this.orderID; }
            set
            {
                this.orderID = value;
                RaisePropertyChanged("OrderID");
            }
        }

        public int EmployeeID
        {
            get { return this.employeeID; }
            set
            {
                this.employeeID = value;
                RaisePropertyChanged("EmployeeID");
            }
        }

        public ImageSource DealerImage
        {
            get { return this.dealerImage; }
            set
            {
                this.dealerImage = value;
                RaisePropertyChanged("DealerImage");
            }
        }       
        
        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        #endregion
    }
}
